Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture
Class Capture

    java.lang.Object
      teamdev.jxcapture.Capture

public class Capture
extends java.lang.Object

The class defines the functions that allow capturing a specified UI element (like desktop, active window or specific region on the screen).

Constructor Summary
`Capture()`

Method Summary
`static void` | `captureDesktop(CaptureListener captureListener)` Allows making capture of the desktop.
`static void` | `captureForegrowndWindow(CaptureListener captureListener)` Allows capturing a foreground window.
`static void` | `captureObject(CaptureListener captureListener)` Allows capturing a specified region on the screen.
`static void` | `captureObjectOnScreen(CaptureListener captureListener)` Allows capturing a specified region on the screen.
`static void` | `captureRegion(CaptureListener captureListener)` Allows capturing a specified region on the screen.
`java.awt.image.BufferedImage` | `createScreenCapture(java.awt.Rectangle screenRect)` Creates an image containing pixels read from the screen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Capture

    public Capture()

Method Detail

### captureDesktop

    public static void captureDesktop(CaptureListener captureListener)

  Allows making capture of the desktop. The operation uses the default capture settings specified in the `CaptureSettings` class.

  The method uses the `DesktopCapture` operation.

### captureForegrowndWindow

    public static void captureForegrowndWindow(CaptureListener captureListener)

  Allows capturing a foreground window. The operation uses the default capture settings specified in the `CaptureSettings` class.

  The method uses the `ActiveWindowCapture` operation.

### captureRegion

    public static void captureRegion(CaptureListener captureListener)

  Allows capturing a specified region on the screen. The operation uses the default capture settings that specified in the `CaptureSettings` class.

  The method uses the `RegionCapture` operation.

  For processing the keyboard and mouse events, the `RegionController` class is used .

### captureObjectOnScreen

    public static void captureObjectOnScreen(CaptureListener captureListener)

  Allows capturing a specified region on the screen. The operation uses the default capture settings specified in the `CaptureSettings` class.

  The method uses the `ObjectOnScreenCapture` operation.

  For processing the keyboard and mouse events, the `ObjectOnScreenController` class is used.

### captureObject

    public static void captureObject(CaptureListener captureListener)

  Allows capturing a specified region on the screen. The operation uses the default capture settings specified in the `CaptureSettings` class.

  The method uses the `ObjectCapture` operation.

### createScreenCapture

    public java.awt.image.BufferedImage createScreenCapture(java.awt.Rectangle screenRect)

  Creates an image containing pixels read from the screen.

  Parameters:
    `screenRect` - rect to capture in screen coordinates
  Returns:
    The captured image
  Throws:
    `java.lang.IllegalArgumentException` - if `screenRect` width and height are not greater than zero or more than screen size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD